org.apache.maven.artifact.resolver

## Class MultipleArtifactsNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.resolver.AbstractArtifactResolutionException
      - - org.apache.maven.artifact.resolver.ArtifactResolutionException
        - - org.apache.maven.artifact.resolver.MultipleArtifactsNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class MultipleArtifactsNotFoundException
    extends ArtifactResolutionException

Exception caused when one or more artifacts can not be resolved because they are not found in the local or remote repositories.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MultipleArtifactsNotFoundException(Artifact originatingArtifact, java.util.List missingArtifacts, java.util.List remoteRepositories)` Deprecated. use `MultipleArtifactsNotFoundException(Artifact, List, List, List)`
`MultipleArtifactsNotFoundException(Artifact originatingArtifact, java.util.List resolvedArtifacts, java.util.List missingArtifacts, java.util.List remoteRepositories)` Create an instance of the exception with allrequired information.

### Method Summary

Methods
`java.util.List` `getMissingArtifacts()` artifacts that could NOT be resolved
`java.util.List` `getResolvedArtifacts()` artifacts that could be resolved

### Methods inherited from class org.apache.maven.artifact.resolver.AbstractArtifactResolutionException

`constructArtifactPath, constructMissingArtifactMessage, getArtifact, getArtifactId, getArtifactPath, getClassifier, getGroupId, getOriginalMessage, getPath, getRemoteRepositories, getType, getVersion`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultipleArtifactsNotFoundException

    public MultipleArtifactsNotFoundException(Artifact originatingArtifact,
                                      java.util.List missingArtifacts,
                                      java.util.List remoteRepositories)

Deprecated. use `MultipleArtifactsNotFoundException(Artifact, List, List, List)`

#### MultipleArtifactsNotFoundException

    public MultipleArtifactsNotFoundException(Artifact originatingArtifact,
                                      java.util.List resolvedArtifacts,
                                      java.util.List missingArtifacts,
                                      java.util.List remoteRepositories)

Create an instance of the exception with allrequired information.

Parameters:
  `originatingArtifact` - the artifact that was being resolved
  `resolvedArtifacts` - artifacts that could be resolved
  `missingArtifacts` - artifacts that could not be resolved
  `remoteRepositories` - remote repositories where the missing artifacts were not found

### Method Detail

#### getResolvedArtifacts

    public java.util.List getResolvedArtifacts()

artifacts that could be resolved

Returns:
  `List` of `Artifact`

#### getMissingArtifacts

    public java.util.List getMissingArtifacts()

artifacts that could NOT be resolved

Returns:
  `List` of `Artifact`